package statements

type OrderStatement struct {
    IStatement
    IActionStatement
    Action string

    _amount *AmountStatement
    _for *AmountStatement
    _fi *FinancialInstrumentStatement
}

func ( this *OrderStatement ) SetAmount( stmt *AmountStatement ) {
    this._amount = stmt
}

func ( this *OrderStatement ) Amount() *AmountStatement {
    return this._amount
}

func ( this *OrderStatement ) SetFor( stmt *AmountStatement ) {
    this._for = stmt
}

func ( this *OrderStatement ) For() *AmountStatement {
    return this._for
}

func ( this *OrderStatement ) SetFinancialInstrument( stmt *FinancialInstrumentStatement ) {
    this._fi = stmt
}

func ( this *OrderStatement ) FinancialInstrument() *FinancialInstrumentStatement {
    return this._fi
}
