package statements

type IStatement interface { }

type RawStatement struct {
    IStatement
    Value string
}

type QuotedValue struct {
    IStatement
    RawStatement *RawStatement
    Quote string
}

type BracketedValue struct {
    IStatement
    RawStatement *RawStatement
    Brackets string
}

type FunctionStatement struct {
    IStatement
    Name string
    Params *[] string
}

type FinancialInstrumentStatement struct {
    IStatement
    Name string
}

type IActionStatement interface { }
